module Scenes.Test.Types where

import Affection

import Control.Concurrent.STM

import qualified Data.Vector as V

-- internal imports

import Types

data Test = Test
  { testMap      :: TMVar LevelMap
  , testGraphics :: TMVar GLAssets
  , testLoaded   :: TVar Bool
  , testPlayer   :: TVar (Maybe Pituicat)
  , testStageSet :: TVar (V.Vector StageSet)
  , testCast     :: TVar (V.Vector Cast)
  , testClean    :: TVar [UUID]
  }

data GLAssets = GLAssets
  { glVA :: VertexArray
  , glVB :: VertexBuffer
  , glIB :: IndexBuffer
  , glSP :: Shader
  , glTx :: [Texture]
  }
